CMSPATH=/home/cms
if [ ! -d ${CMSPATH} ]
then
	../../bin/errmsg "ディレクトリ構成が変わりました。.profile を修正して下さい。"
	exit
fi
PATH=".:/bin:/usr/bin:${CMSPATH}/bin"
HOME="${CMSPATH}/fusr/cms3-server"
TMP=/tmp
TZ=JST-9
SHELL=/bin/ksh
TERM=kterm-wsubform
TERMCAP=/usr/lib
MAN=/usr/man
EXINIT=":source ${CMSPATH}/.exrc"
VISUAL=vi
PAGER=more

PS1=">cms3-server>> !> "
PS2=">> "
HISTFILE="${HOME}/.history.cms3-server"
HISTSIZE=2048
CDPATH=":/:/musr"

#set CMS environment
SYSNAME=cms3-server
TABFILE=cms3-servertab
EDITOR=vi
KEIVER=0
MREDITOR=vi

export CMSPATH
export PATH
export SYSNAME
export TABFILE
export EDITOR
export KEIVER
export MREDITOR

CMS_SYSNAME=$SYSNAME
CMS_TABFILE=$TABFILE
CMS_USERNAME=cms3-server
CMS_EDITOR=vi
CMS_VERSION=$KEIVER
CMS_CALENDAR=${CMSPATH}/fusr/calendar
CMS_QUEID=`awk 'BEGIN {FS=";"} /^'$CMS_LOGNAME'/ {print $2}' $CMSPATH/diff/cmssetq`

export HOME
export TMP
export TZ
export SHELL
export TERM
export TERMCAP
export MAN
export EXINIT
export VISUAL
export PAGER

export PS1
export PS2
export HISTFILE
export HISTSIZE
export CDPATH

#set CMS environment
export CMS_SYSNAME
export CMS_TABFILE
export CMS_USERNAME
export CMS_EDITOR
export CMS_VERSION
export CMS_CALENDAR
export CMS_QUEID

#set JAVA environment
export LD_LIBRARY_PATH=.
export JAVA_PATH=/usr/local/j2sdk
export JAVA_HOME=/usr/local/j2sdk/bin
export ANT_HOME=/usr/local/ant
export CLASSPATH=".:$JAVA_HOME/bin/jar:/usr/share/tomcat5/common/lib/servlet-api.jar"

#set Tomcat connector einvironments
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/local/apache22/modules
export LD_RUN_PATH=${LD_LIBRARY_PATH}

#set ANT environments
export PATH=$PATH:$JAVA_HOME/bin:$ANT_HOME/bin

#set CATALINA environments
export CATALINA_BASE=/usr/local/tomcat-5.5.27
export CATALINA_HOME=/usr/local/tomcat-5.5.27
export PATH=$PATH:$CATALINA_HOME/bin
export CLASSPATH=.:$CATALINA_HOME/common/lib/servlet-api.jar
export JRE_HOME=/usr/local/j2sdk/jre

export JAVA_HOME=/usr/local/j2sdk
export ANT_HOME=/usr/local/ant
export PATH=$PATH:$JAVA_HOME/bin:$ANT_HOME/bin

#set OpenSSL environments
export SSL_HOME=/usr/local
export PATH=$PATH:$SSL_HOME/bin

#LANG=ja_JP.utf-8
LANG=en_US.utf-8
export LANG
alias vi='vim'
